#ifndef __CHEBY__WR2RF_RFTRIGGER_REGS__H__
#define __CHEBY__WR2RF_RFTRIGGER_REGS__H__

#include "trigunit_regs.h"
#include "vtudiag_regs.h"
#define WR2RF_RFTRIGGER_REGS_SIZE 272 /* 0x110 */

/* None */
#define WR2RF_RFTRIGGER_REGS_T1 0x0UL
#define ADDR_MASK_WR2RF_RFTRIGGER_REGS_T1 0x180UL
#define WR2RF_RFTRIGGER_REGS_T1_SIZE 128 /* 0x80 */

/* None */
#define WR2RF_RFTRIGGER_REGS_T2 0x80UL
#define ADDR_MASK_WR2RF_RFTRIGGER_REGS_T2 0x180UL
#define WR2RF_RFTRIGGER_REGS_T2_SIZE 128 /* 0x80 */

/* None */
#define WR2RF_RFTRIGGER_REGS_RF_DIAG 0x100UL
#define ADDR_MASK_WR2RF_RFTRIGGER_REGS_RF_DIAG 0x1f0UL
#define WR2RF_RFTRIGGER_REGS_RF_DIAG_SIZE 16 /* 0x10 */

#ifndef __ASSEMBLER__
struct wr2rf_rftrigger_regs {
  /* [0x0]: SUBMAP (no description) */
  struct trigunit_regs t1;

  /* [0x80]: SUBMAP (no description) */
  struct trigunit_regs t2;

  /* [0x100]: SUBMAP (no description) */
  struct vtudiag_regs rf_diag;
};
#endif /* !__ASSEMBLER__*/

#endif /* __CHEBY__WR2RF_RFTRIGGER_REGS__H__ */
